<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.port.mapper.DsPortEquMapper">
    <resultMap type="com.ltgk.port.domain.entity.DsPortEqu" id="DsPortEquResult">
        <result property="id" column="id"/>
        <result property="portId" column="port_id"/>
        <result property="portName" column="port_name"/>
        <result property="equCode" column="equ_code"/>
        <result property="equName" column="equ_name"/>
        <result property="equType" column="equ_type"/>
        <result property="equState" column="equ_state"/>
        <result property="healthState" column="equ_state"/>
        <result property="equCreateTime" column="equ_create_time"/>
        <result property="equImage" column="equ_image"/>
        <result property="equData" column="equ_data"/>
        <result property="equAddr" column="equ_addr"/>
        <result property="equCorp" column="equ_corp"/>
        <result property="equModel" column="equ_model"/>
        <result property="equMax" column="equ_max"/>
        <result property="equMin" column="equ_min"/>
        <result property="equWarrantyPeriod" column="equ_warranty_period"/>
        <result property="equUnit" column="equ_unit"/>
        <result property="netValue" column="net_value"/>
        <result property="originalValue" column="original_value"/>
        <result property="equManufacturer" column="equ_manufacturer"/>
        <result property="equManufactureDate" column="equ_manufacture_date"/>
        <result property="equManufactureTel" column="equ_manufacture_tel"/>
        <result property="equAfterSale" column="equ_after_sale"/>
        <result property="principal" column="principal"/>
        <result property="principalPhone" column="principal_phone"/>
        <result property="areaCode" column="area_code"/>
        <result property="areaName" column="area_name"/>
        <result property="createBy" column="create_by"/>
        <result property="createAt" column="create_at"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateAt" column="update_at"/>
        <result property="remark" column="remark"/>
    </resultMap>
</mapper>